cmake_minimum_required(VERSION 4.0)
project(info2Praktikum_Wortsalat)

set(CMAKE_C_STANDARD 11)

include_directories(Start_Windows)

add_executable(info2Praktikum_Wortsalat
        Start_Windows/main.c
        Start_Windows/game.c
        Start_Windows/input.c
)

if(WIN32)
    target_link_libraries(info2Praktikum_Wortsalat kernel32 user32 gdi32 winspool shell32 ole32 oleaut32 uuid comdlg32 advapi32)
endif()